| CMSIS-DSP Verison 1.4.1 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_fir_instance_q7 Struct Reference

Instance structure for the Q7 FIR filter.

## Data Fields
uint16_t | numTaps
q7_t * | pState
q7_t * | pCoeffs

## Field Documentation

uint16_t arm_fir_instance_q7::numTaps

number of filter coefficients in the filter.

Referenced by arm_fir_init_q7(), and arm_fir_q7().

q7_t* arm_fir_instance_q7::pCoeffs

points to the coefficient array. The array is of length numTaps.

Referenced by arm_fir_init_q7(), and arm_fir_q7().

q7_t* arm_fir_instance_q7::pState

points to the state variable array. The array is of length numTaps+blockSize-1.

Referenced by arm_fir_init_q7(), and arm_fir_q7().